Deletes the large object

- « PDO::pgsqlLOBOpen

- SQLite (PDO) »

- PHP Manual
- PostgreSQL (PDO)
- Deletes the large object

# PDO::pgsqlLOBUnlink

(PHP 5 >= 5.1.2, PHP 7, PHP 8, PECL pdo_pgsql >= 1.0.2)

PDO::pgsqlLOBUnlink — Deletes the large object

### Description

public PDO::pgsqlLOBUnlink(string `$oid`): bool

Deletes a large object from the database identified by OID.

> Note: This function must be called within a transaction.

### Parameters

`oid`

  A large object identifier

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 A PDO::pgsqlLOBUnlink() example

This example unlinks a large object from the database prior to deleting the row that references it from the blobs table we've been using in our PDO::pgsqlLOBCreate() and PDO::pgsqlLOBOpen() examples.

    <?php$db = new PDO('pgsql:dbname=test host=localhost', $user, $pass);$db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);$db->beginTransaction();$db->pgsqlLOBUnlink($oid);$stmt = $db->prepare("DELETE FROM BLOBS where ident = ?");$stmt->execute(array($some_id));$db->commit();?>

### See Also

- PDO::pgsqlLOBOpen() - Opens an existing large object stream
- PDO::pgsqlLOBCreate() - Creates a new large object